Index: /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/dao/ImageDao.java
===================================================================
--- /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/dao/ImageDao.java	(revision 9393)
+++ /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/dao/ImageDao.java	(revision 9394)
@@ -9,9 +9,9 @@
 import org.jdom.Document;
 import org.jdom.Element;
-import org.jdom.output.XMLOutputter;
 
 import sun.misc.BASE64Encoder;
 import fr.mael.jiwigo.om.Image;
 import fr.mael.jiwigo.transverse.enumeration.MethodsEnum;
+import fr.mael.jiwigo.transverse.exception.WrongChunkSizeException;
 import fr.mael.jiwigo.transverse.session.SessionManager;
 import fr.mael.jiwigo.transverse.util.Tools;
@@ -74,4 +74,6 @@
     private SessionManager sessionManager;
 
+    private ArrayList<File> filesToSend;
+
     /**
      * Private singleton, to use a singleton
@@ -157,8 +159,11 @@
 	//begin feature:0001827
 	int chunk = chunkSize.intValue();
-	ArrayList<File> fichiersAEnvoyer = Tools.splitFile(image.getOriginale(), chunk);
+	if (chunk == 0) {
+	    throw new WrongChunkSizeException("Error : the chunk size cannot be 0");
+	}
+	filesToSend = Tools.splitFile(image.getOriginale(), chunk);
 	boolean echec = false;
-	for (int i = 0; i < fichiersAEnvoyer.size(); i++) {
-	    File fichierAEnvoyer = fichiersAEnvoyer.get(i);
+	for (int i = 0; i < filesToSend.size(); i++) {
+	    File fichierAEnvoyer = filesToSend.get(i);
 	    String originaleBase64 = base64.encode(Tools.getBytesFromFile(fichierAEnvoyer));
 	    Document reponseOriginale = (sessionManager.executeReturnDocument("pwg.images.addChunk", "data",
@@ -228,5 +233,4 @@
 	    myImage.setIdentifier(Integer.valueOf(im.getAttributeValue("id")));
 	    myImage.setName(im.getChildText("name"));
-	    System.out.println(new XMLOutputter().outputString(im));
 	    //	    myImage.setIdCategory(Integer.valueOf(im.getChild("categories").getChild("category")
 	    //		    .getAttributeValue("id")));
@@ -258,4 +262,7 @@
 	file = new File(System.getProperty("java.io.tmpdir") + "/thumb.jpg");
 	file.delete();
+	for (File tempCut : filesToSend) {
+	    tempCut.delete();
+	}
 
     }
Index: /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/service/ImageService.java
===================================================================
--- /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/service/ImageService.java	(revision 9393)
+++ /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/service/ImageService.java	(revision 9394)
@@ -130,5 +130,5 @@
 	image.setPrivacyLevel(String.valueOf(privacyLevel));
 	//now we call the dao to send the image to the webservice
-	return ImageDao.getInstance(sessionManager).create(image, chunckSize);
+	return ImageDao.getInstance(sessionManager).create(image, chunckSize * 1000000);
     }
 
Index: /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/transverse/exception/WrongChunkSizeException.java
===================================================================
--- /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/transverse/exception/WrongChunkSizeException.java	(revision 9394)
+++ /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/transverse/exception/WrongChunkSizeException.java	(revision 9394)
@@ -0,0 +1,8 @@
+package fr.mael.jiwigo.transverse.exception;
+
+public class WrongChunkSizeException extends Exception {
+    public WrongChunkSizeException(String msg) {
+	super(msg);
+    }
+
+}
Index: /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java
===================================================================
--- /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java	(revision 9393)
+++ /extensions/jiwigo-ws-api/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java	(revision 9394)
@@ -167,5 +167,5 @@
 	method.addParameter("method", methode);
 	for (int i = 0; i < parametres.length; i += 2) {
-	    System.out.println(parametres[i] + " -> " + parametres[i + 1]);
+	    //	    System.out.println(parametres[i] + " -> " + parametres[i + 1]);
 	    method.addParameter(parametres[i], parametres[i + 1]);
 