Index: /extensions/Mail_supervisor/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/en_UK/help/plugin.lang.php	(revision 9397)
+++ /extensions/Mail_supervisor/language/en_UK/help/plugin.lang.php	(revision 9397)
@@ -0,0 +1,79 @@
+<?php
+global $lang ;
+if( !isset($lang['Minute'])) $lang['Minute'] =   l10n('Minute') ;
+if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
+$sv_Week=explode(" ",l10n('Week %d'));
+if( !isset($lang['Week'])) $lang['Week'] =   $sv_Week[0];
+
+//========================================================================================================
+$lang['Sv_Fonctionality']='Functionalities';
+
+$lang['Sv_Oversees_management_emails']='Oversee mails management and stops mails emitting on quarantine activation';
+$lang['Sv_hlp_1_1']='Count the number of mails emitted by the site.';
+$lang['Sv_hlp_1_2']='Detect the different messages generated by the mail[] function';
+$lang['Sv_hlp_1_3']='Count the number of mails considered as spam by the ISP.';
+$lang['Sv_hlp_1_4']='Activate quarantine if the number of emitted mails is higher than the maximum value defined for a certain period.';
+$lang['Sv_hlp_1_5']='Activate quarantine if the number of detected spams is higher than the maximum value defined for a certain period.';
+$lang['Sv_hlp_1_6']='Activate quarantine if "TOO MUCH SPAM" for a certain period.';
+//========================================================================================================w
+$lang['Sv_Options']='Options';
+
+$lang['Sv_hlp_2_1']='Send a copy of the mail to the Webmaster.';
+$lang['Sv_hlp_2_2']='Change Cc addressees structure if default \'bad syntax\''; //Didn't understand this one :-/
+$lang['Sv_hlp_2_3']='If Piwigo version is lower than 2.0.5, add a text block in mail header. ';
+
+//========================================================================================================
+$lang['Sv_Options']='Options';
+
+$lang['Sv_hlp_3_1']='Number of mailing since last reset.';
+$lang['Sv_hlp_3_2']='Date of first mailing.';
+$lang['Sv_hlp_3_3']='Number of mailing before quarantine activation.';
+$lang['Sv_hlp_3_4']='Period during which mail emission is available';
+
+$lang['Sv_hlp_3_4_0']='<br />Accepted values: <br />
+  + n '.l10n('Week').'<br />
+  + n '.l10n('Day').'<br />
+  + n '.l10n('Hour').'<br />
+  + n '.l10n('Minute').'<br />
+  + n '.l10n('Second').'<br />
+n being the number of (week, day, hour, minute, second) '
+;
+
+$lang['Sv_hlp_3_5']='Remaining period before counter reset.';
+
+$lang['Sv_state']='Status';
+
+$lang['Sv_hlp_4_1']='Limit date for quarantine activation.';
+$lang['Sv_hlp_4_2']='Remaining period before quarantine deactivation.';
+    
+$lang['Sv_last_message']='Last message sent.';
+$lang['Sv_hlp_5_1']='Last message sent by mail() function in case of error.';
+
+
+//======================================================================
+$lang['Sv_hlp_7_1']='This module allows to create a blacklist in which are stored the unwanted IP addresses.<br />
+          ' ;   
+$lang['Sv_hlp_7_1_1']='Option 1 Prevents mail emission if IP address is in the blacklist. <br />
+          ' ;   
+$lang['Sv_hlp_7_1_2']='Option 2 Rejection of IP address.<br />
+          ' ;   
+$lang['Sv_hlp_7_1_3']='Option 3 For each new connection, the module proceeds to a test of the IP address, compares it to a spammer database, and adds it automatically in the blacklist if the test is positive.<br />
+           A counter in this list shows the number of connection tentatives.<br />
+           Information about ISP\'s country and town are also registered.<br />
+          
+                   ' ;   
+$lang['Sv_hlp_7_2']= 'Manual registering of unwanted adresses.<br />
+          
+                  Jokers (*) are admitted to replace a set of adresses.<br />
+                    For instance: 94.102.63.* :
+                  Exclusion of all IP addresses from 94.102.63.0 to 94.102.63.255 <br />
+                      For instance: 94.102.*.13 :
+                  Exclusion of all IP addresses from 94.102.0.13 to 94.102.255.13 <br />
+                  
+        ' ;   
+$lang['Sv_hlp_7_3']= ' Click here to check if IP address or user or mail address included in the text field are registered in stopforumspam database. Jokers are not admitted. For more information, check  http://www.stopforumspam.com' ;   
+
+$lang['Sv_hlp_7_4']= ' If you want to block this address, click here or on \'add\' icon to update the blacklist.<BR />
+    
+' ;   
+?>
Index: /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 9396)
+++ /extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 9397)
@@ -7,29 +7,27 @@
 
 //========================================================================================================
-$lang['Sv_Fonctionality']='Fonctionnalites';
-
-$lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
-$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyes par le site.';
-$lang['Sv_hlp_1_2']='Detecte les differents messages d\'alertes generes par la fonction mail[]';
-$lang['Sv_hlp_1_3']='Compte le nombre de mails considere par le FAI comme spams.';
-$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyes est superieur à la valeur maxi defini par periode predeterminee.';
-$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams detectes est superieur à la valeur maxi defini par periode predeterminee.';
-$lang['Sv_hlp_1_6']='Mise en quarantaine si detection de "TROP DE SPAMS" pour une periode determinee.';
+$lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoi des mails lors de la mise en quarantaine';   
+$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyés par le site.';
+$lang['Sv_hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
+$lang['Sv_hlp_1_3']='Compte le nombre de mails considérés par le FAI comme spams.';
+$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi définie par période prédéterminée.';
+$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi définie par période prédéterminée.';
+$lang['Sv_hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
 //========================================================================================================
 $lang['Sv_Options']='Options';
 
-$lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmaster..';
-$lang['Sv_hlp_2_2']='Modifie la structure des destnataires en copie carbonne si defaut \'bad syntax\'';
-$lang['Sv_hlp_2_3']='Si la version piwigo est inferieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
+$lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmestre.';
+$lang['Sv_hlp_2_2']='Modifie la structure des destinataires en copie carbone si défaut \'bad syntax\'';
+$lang['Sv_hlp_2_3']='Si la version Piwigo est inférieure à 2.0.5, rajoute un bloc texte dans l\'entête de mail. ';
 
 //========================================================================================================
 $lang['Sv_Options']='Options';
 
-$lang['Sv_hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zero.';
-$lang['Sv_hlp_3_2']='Date du premier envoie.';
-$lang['Sv_hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
-$lang['Sv_hlp_3_4']='Duree pendant laquelle l\'envoie des mails est possible';
+$lang['Sv_hlp_3_1']='Nombre d\'envois depuis la dernière remise à zéro.';
+$lang['Sv_hlp_3_2']='Date du premier envoi.';
+$lang['Sv_hlp_3_3']='Nombre d\'envois avant la mise en quarantaine.';
+$lang['Sv_hlp_3_4']='Durée pendant laquelle l\'envoi des mails est possible';
 
-$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptees: <br />
+$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptées : <br />
   + n '.l10n('Week').'<br />
   + n '.l10n('Day').'<br />
@@ -37,43 +35,43 @@
   + n '.l10n('Minute').'<br />
   + n '.l10n('Second').'<br />
- n etant le nombre de (semaine,jour,heure,minute,seconde) '
+n étant le nombre de (semaine, jour, heure, minute, seconde) '
 ;
 
-$lang['Sv_hlp_3_5']='Duree restante avant la remise à zero du compteur.';
+$lang['Sv_hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
 
-$lang['Sv_state']='Etat';
+$lang['Sv_state']='État';
 
 $lang['Sv_hlp_4_1']='Date limite de la mise en quarantaine.';
-$lang['Sv_hlp_4_2']='Duree restante avant l\' anulation de la mise en quarantaine.';
-	 
-$lang['Sv_last_message']='Dernier message renvoye.';
-$lang['Sv_hlp_5_1']='Dernier message renvoye par la fonction mail() en cas d\'erreur.';
+$lang['Sv_hlp_4_2']='Durée restante avant l\'annulation de la mise en quarantaine.';
+    
+$lang['Sv_last_message']='Dernier message renvoyé.';
+$lang['Sv_hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
 
 
-//====================================================================== 
-$lang['Sv_hlp_7_1']='Ce module permet de creer une liste noire contenant les adresses IP indesirables.<br />
-          ' ;	
-$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\' emission de mail si l\' adresse IP est dans la liste noire. <br />
-		  ' ;	
-$lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
-		  ' ;	
-$lang['Sv_hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de donnees de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
-		   Un compteur dans cette liste indique le nombre de tentative de connexion.<br />
-		   Des informations sur le pays et la ville du FAI sont egalement stockees.<br />
-		   
-		   		' ;	
-$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indesirables.<br />
-		   
-				  Les jockers (*) pour remplacer un groupe d\'adresse  sont autorises.<br />
-				    Exemple : 94.102.63.* :
-				  Exclusion de toutes les adresses IP de 94.102.63.0 à 94.102.63.255 <br />
-				  	Exemple : 94.102.*.13 :
-				  Exclusion de toutes les adresses IP de 94.102.0.13 à 94.102.255.13 <br />
-				  
-		' ;	
-$lang['Sv_hlp_7_3']= ' Cliquez ici pour verifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnee de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
+//======================================================================
+$lang['Sv_hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
+          ' ;   
+$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\'émission de mails si l\'adresse IP est dans la liste noire. <br />
+          ' ;   
+$lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\'adresse IP.<br />
+          ' ;   
+$lang['Sv_hlp_7_1_3']='Option 3 À chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\'insère automatiquement dans la liste noire si le test est positif.<br />
+           Un compteur dans cette liste indique le nombre de tentatives de connexion.<br />
+           Des informations sur le pays et la ville du FAI sont également stockées.<br />
+          
+                   ' ;   
+$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
+          
+                  Les jokers (*) pour remplacer un groupe d\'adresse  sont autorisés.<br />
+                    Exemple : 94.102.63.* :
+                  Exclusion de toutes les adresses IP de 94.102.63.0 à 94.102.63.255 <br />
+                      Exemple : 94.102.*.13 :
+                  Exclusion de toutes les adresses IP de 94.102.0.13 à 94.102.255.13 <br />
+                  
+        ' ;   
+$lang['Sv_hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jokers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;   
 
-$lang['Sv_hlp_7_4']= ' Si vous decidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
-	 
-' ;	
+$lang['Sv_hlp_7_4']= ' Si vous décidez de bloquer cette adresse, cliquez ici ou sur l\'icône \'ajout\' pour mettre à jour la liste noire.<BR />
+    
+' ;
 ?>