Index: /extensions/AddInfo/admin/admin.php
===================================================================
--- /extensions/AddInfo/admin/admin.php	(revision 9404)
+++ /extensions/AddInfo/admin/admin.php	(revision 9405)
@@ -15,12 +15,9 @@
 // Gestion des onglets
 if (!isset($_GET['tab']))
-    $page['tab'] = 'addinfo';
+    $page['tab'] = 'explication';
 else
     $page['tab'] = $_GET['tab'];
 
 $tabsheet = new tabsheet();
-$tabsheet->add('addinfo',
-               l10n('addinfo_ajout'),
-               $my_base_url.'&amp;tab=addinfo');
 $tabsheet->add('explication',
                l10n('addinfo_explication'),
@@ -31,95 +28,5 @@
 switch ($page['tab'])
 {
-// Onglet gestion de onglet addinfo
-  case 'addinfo':
-
-//charge la liste des images
-$groups = array();
-$query = '
-select id,name
-  FROM ' . IMAGES_TABLE . '
-  ORDER BY id ASC;';
-$result = pwg_query($query);
-
-while ($row = mysql_fetch_array($result))
-	{
-  $groups[$row['id']] = $row['id'].' : '.$row['name'];
-	}
-	
-	$selected = 0;
-	$options[] = l10n('addinfo_selecti3');
-	$options['a'] = '----------------------';
-	
-foreach($groups as $listid => $listid2)
-	{
-    $options[$listid] = $listid2;
-	}
-  $template->assign(
-    'addinfoo1',
-    array(
-	  'OPTIONS' => $options,
-      'SELECTED' => $selected
-      ));
-	
-//edit des imfos complèmentaire de l'image
-if (isset($_POST['submitchoiximg'])and is_numeric($_POST['addinfoimg']) and (!$_POST['addinfoimg'])==0 and !is_adviser())
-	{
-$lire=$_POST['addinfoimg'];
-	$query = '
-select id,name,path
-  FROM ' . IMAGES_TABLE . '
-  WHERE id = \''.$lire.'\'
-  ;';
-$result = pwg_query($query);
-
-$row = mysql_fetch_array($result);
-$idimg=$row['id'];
-$chnameimg=$row['name'];
-$rootimg=$row['path'];
-
-$query = '
-select id,info1,info2,info3
-  FROM ' . ADDINFO_TABLE . '
-  WHERE id = \''.$lire.'\'
-  ;';
-$result = pwg_query($query);
-$row = mysql_fetch_array($result);
-$idaddinfo=$row['id'];
-$info1=$row['info1'];
-$info2=$row['info2'];
-$info3=$row['info3'];
-
-  $selected3 = 0;
-  
-  $template->assign(
-    'img_edit',
-    array(
-	  'RIMG' => $rootimg,
-      'VALUE' => $idimg,
-	  'VALUEN' => $chnameimg,
-      'CONTENT' => htmlspecialchars($info1),
-      'CONTENT2' => htmlspecialchars($info2),
-	  'CONTENT3' => htmlspecialchars($info3),
-      'SELECTED' => $selected3
-      ));
-	}
-
-//insértion les information dans la table addinfo_picture
-if (isset($_POST['submitinsimgA']) and !is_adviser())
-	{
-	$query = '
-DELETE 
-  FROM ' . ADDINFO_TABLE . '
-  WHERE id = \''.$_POST['invisible'].'\'
-  ;';
-$result = pwg_query($query);
-	$q = '
-INSERT INTO ' . $prefixeTable . 'AddInfo_images(id,info1,info2,info3)VALUES ('.$_POST['invisible'].',"'.$_POST['inser'].'","'.$_POST['inser2'].'","'.$_POST['inser3'].'");';
-    pwg_query($q);
-	}
-	
-    break;
-
-// Onglet  en attente
+// tab help
   case 'explication':
   $explication = 'explication';
Index: /extensions/AddInfo/admin/admin.tpl
===================================================================
--- /extensions/AddInfo/admin/admin.tpl	(revision 9404)
+++ /extensions/AddInfo/admin/admin.tpl	(revision 9405)
@@ -2,52 +2,4 @@
   <h2>{'addinfo_h2'|@translate}</h2>
 </div>
-
-{if isset ($addinfoo1)}
-	  <h3>{'addinfo_img'|@translate}</h3>
-	<div>
-	{'addinfo_newinfo'|@translate}
-		<form method="post" >
-			<fieldset>
-				<legend>{'addinfo_selectimg'|@translate}</legend>
-				{'addinfo_listimg'|@translate}	
-		{html_options name="addinfoimg" options=$addinfoo1.OPTIONS selected=$addinfoo1.SELECTED}
-				<br>
-				<br>
-					<div style="text-align:center;">
-					<input class="submit" name="submitchoiximg" type="submit" value="{'addinfo_choiximg'|@translate}" {$TAG_INPUT_ENABLED} />
-					</div>
-			</fieldset>
-		</form>
-	</div>
-	{if isset ($img_edit)}
-	<div>
-		<form method="post" >
-			<fieldset>
-			  <img class="thumbnail" src="{$img_edit.RIMG}" alt="" width="100px">
-			  <br>
-			  <br>
-				<legend>id&nbsp;:&nbsp;{$img_edit.VALUE}&nbsp;->&nbsp;{$img_edit.VALUEN}&nbsp;&nbsp;</legend>
-					<input type="hidden" name="invisible" value="{$img_edit.VALUE}">
-					{'addinfo_info1'|@translate}&nbsp;:<br>
-					<input type="text" name="inser" value="{$img_edit.CONTENT}" size="110" maxlenght="110">
-				<br>	
-				<br>
-					{'addinfo_info2'|@translate}&nbsp;:<br>
-					<input type="text" name="inser2" value="{$img_edit.CONTENT2}" size="110" maxlenght="110">
-				<br>	
-				<br>
-					{'addinfo_info3'|@translate}&nbsp;:<br>
-					<input type="text" name="inser3" value="{$img_edit.CONTENT3}" size="110" maxlenght="110">
-				<br>	
-				<br>
-					<div style="text-align:center;">
-					<input class="submit" name="submitinsimgA" type="submit" value="{'addinfo_insing'|@translate}" {$TAG_INPUT_ENABLED} />
-					</div>
-			</fieldset>
-		</form>
-	</div>
-	{/if}
-{/if}
-
 {if isset ($explication)}
 	<div class="comment">
Index: /extensions/AddInfo/initadmin.php
===================================================================
--- /extensions/AddInfo/initadmin.php	(revision 9404)
+++ /extensions/AddInfo/initadmin.php	(revision 9405)
@@ -27,7 +27,4 @@
 	{
  
- load_language('plugin.lang', ADDINFO_PATH);
- load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
-
   $search = '#<form id="associations"#';
   
@@ -50,5 +47,5 @@
 				<br>
 					<div style="text-align:center;">
-					<input class="submit" name="submitinsimg" type="submit" value="{\'addinfo_insing\'|@translate}" {$TAG_INPUT_ENABLED} />
+					<input class="submit" name="subaddinfo" type="submit" value="{\'addinfo_insing\'|@translate}" {$TAG_INPUT_ENABLED} />
 					</div>
 			</fieldset>
@@ -60,5 +57,9 @@
  
 function ImodadminA()
-	{ 
+	{
+	
+ load_language('plugin.lang', ADDINFO_PATH);
+ load_language('lang', PHPWG_ROOT_PATH.'local/', array('no_fallback'=>true, 'local'=>true) );
+	
 if (isset($_GET['image_id']))
  {
@@ -86,5 +87,5 @@
  }
  
-if (isset($_POST['submitinsimg']))
+if (isset($_POST['subaddinfo']))
  {
 	$query = '
@@ -110,6 +111,4 @@
 $info3=$row['info3'];
 
-	global $template, $prefixeTable;
-
 $template->assign(
     array(
Index: /extensions/AddInfo/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/de_DE/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/de_DE/plugin.lang.php	(revision 9405)
@@ -3,11 +3,5 @@
 $lang['addinfo_h2'] = 'Verwaltung der zusätzlichen Informationen auf der Bilderseite';
 
-//onglet addinfo
-$lang['addinfo_ajout'] = 'Fügt Informationen aller Bilder';
-$lang['addinfo_selecti3'] = 'Das Bild auswählen';
-$lang['addinfo_img'] = 'Einige Informationen zu den Bildern hinzufügen';
-$lang['addinfo_selectimg'] = 'Das Bild auswählen';
-$lang['addinfo_listimg'] = 'Bilderliste';
-$lang['addinfo_choiximg'] = 'Die zusätzlichen Bilderinformationen bearbeiten';
+/*TODO*/$lang['addinfo_complete'] = 'Additional Information - Plugin Add Info';
 $lang['addinfo_insing'] = 'Die Werte in der Datenbank hinzufügen';
 
Index: /extensions/AddInfo/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/en_UK/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/en_UK/plugin.lang.php	(revision 9405)
@@ -4,13 +4,4 @@
 
 $lang['addinfo_complete'] = 'Additional Information - Plugin Add Info';
-
-//onglet addinfo
-$lang['addinfo_newinfo'] = 'You can also add information on the edit photo\'s page';
-$lang['addinfo_ajout'] = 'Add informations to pictures';
-$lang['addinfo_selecti3'] = 'Select the picture';
-$lang['addinfo_img'] = 'Add some informations to the pictures';
-$lang['addinfo_selectimg'] = 'Select the picture';
-$lang['addinfo_listimg'] = 'Pictures list';
-$lang['addinfo_choiximg'] = 'Edit the additional informations of the picture';
 $lang['addinfo_insing'] = 'insert the values in the database';
 
Index: /extensions/AddInfo/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/fr_FR/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/fr_FR/plugin.lang.php	(revision 9405)
@@ -4,18 +4,9 @@
 
 $lang['addinfo_complete'] = 'Information supplémentaire - Plugin Add Info';
-
-//onglet addinfo
-$lang['addinfo_newinfo'] = 'vous pouvez également compléter les informations sur la page d\'édition des photos';
-$lang['addinfo_ajout'] = 'Ajouter les informations aux photos';
-$lang['addinfo_selecti3'] = 'Sélectionnez la photo';
-$lang['addinfo_img'] = 'Ajouter des informations aux photos';
-$lang['addinfo_selectimg'] = 'Sélectionnez la photo';
-$lang['addinfo_listimg'] = 'Liste des images';
-$lang['addinfo_choiximg'] = 'Éditer les informations supplémentaires de la photo';
 $lang['addinfo_insing'] = 'insérer les valeurs dans la base';
 
 //onglet explication
 $lang['addinfo_explication'] = 'Présentation';
-$lang['addinfo_explication_help'] = 'Ce plugin est un exemple pour ajouter des informations sur les photos, pour votre utilisation, il va falloir l\'adapter';
+$lang['addinfo_explication_help'] = 'Ce plugin permet d\'ajouter 3 informations sur la page photo';
 $lang['addinfo_explication_update non'] = 'Remplacement de INFO1, INFO2, INFO3';
 $lang['addinfo_explication_update non_help'] = 'Pour cela, vous devez ajouter dans votre fichier local de langue :<br>
Index: /extensions/AddInfo/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/hu_HU/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/hu_HU/plugin.lang.php	(revision 9405)
@@ -3,11 +3,5 @@
 $lang['addinfo_h2'] = 'További információk kezelése a kép oldalon';
 
-//onglet addinfo
-$lang['addinfo_ajout'] = 'Kép információk hozzáadása';
-$lang['addinfo_selecti3'] = 'Kép kiválasztása';
-$lang['addinfo_img'] = 'Kép információk hozzáadása';
-$lang['addinfo_selectimg'] = 'Kép kiválasztása';
-$lang['addinfo_listimg'] = 'Képek listája';
-$lang['addinfo_choiximg'] = 'Kép információk szerkesztése';
+/*TODO*/$lang['addinfo_complete'] = 'Additional Information - Plugin Add Info';
 $lang['addinfo_insing'] = 'Értékek adatbázisba mentése';
 
Index: /extensions/AddInfo/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/it_IT/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/it_IT/plugin.lang.php	(revision 9405)
@@ -3,11 +3,5 @@
 $lang['addinfo_h2'] = 'Gestione d\'informazioni complementari sulla pagina delle foto';
 
-//onglet addinfo
-$lang['addinfo_ajout'] = 'Aggiungere le informazioni alle immagini';
-$lang['addinfo_selecti3'] = 'Selezionare l\'immagine';
-$lang['addinfo_img'] = 'Aggiungere le informazioni alle immagini';
-$lang['addinfo_selectimg'] = 'Selezionare l\'immagine';
-$lang['addinfo_listimg'] = 'Lista Immagine';
-$lang['addinfo_choiximg'] = 'Modifica le informazioni aggiuntive per l\'immagine';
+/*TODO*/$lang['addinfo_complete'] = 'Additional Information - Plugin Add Info';
 $lang['addinfo_insing'] = 'Inserire i valori nel database';
 
Index: /extensions/AddInfo/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/lv_LV/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/lv_LV/plugin.lang.php	(revision 9405)
@@ -3,11 +3,5 @@
 $lang['addinfo_h2'] = 'Papildus informacijas parvaldišana attela lapa';
 
-//onglet addinfo
-$lang['addinfo_ajout'] = 'Pievieno informaciju atteliem';
-$lang['addinfo_selecti3'] = 'Atlasit attelu';
-$lang['addinfo_img'] = 'Pievieno mazliet informacijas atteliem';
-$lang['addinfo_selectimg'] = 'Atlasit attelu';
-$lang['addinfo_listimg'] = 'Attelu saraksts';
-$lang['addinfo_choiximg'] = 'Rediget attela papildus informaciju';
+/*TODO*/$lang['addinfo_complete'] = 'Additional Information - Plugin Add Info';
 $lang['addinfo_insing'] = 'ievietot vertibas datu baze';
 
Index: /extensions/AddInfo/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/AddInfo/language/no_NO/plugin.lang.php	(revision 9404)
+++ /extensions/AddInfo/language/no_NO/plugin.lang.php	(revision 9405)
@@ -4,13 +4,4 @@
 
 $lang['addinfo_complete'] = 'Tilleggsinformasjon - Pluggin Legg til Info';
-
-//onglet addinfo
-$lang['addinfo_newinfo'] = 'Du kan også legge til informasjon på rediger bilder side';
-$lang['addinfo_ajout'] = 'Legg til informasjon på bilder';
-$lang['addinfo_selecti3'] = 'Velg bilde';
-$lang['addinfo_img'] = 'Legg til litt informasjon på bildene';
-$lang['addinfo_selectimg'] = 'Velg bilde';
-$lang['addinfo_listimg'] = 'Bilde liste';
-$lang['addinfo_choiximg'] = 'Rediger ekstra informasjonen på bildet';
 $lang['addinfo_insing'] = 'sett tinn vardiene i databasen';
 