Index: /extensions/albums/language/sv_SE/description.txt
===================================================================
--- /extensions/albums/language/sv_SE/description.txt	(revision 9409)
+++ /extensions/albums/language/sv_SE/description.txt	(revision 9409)
@@ -0,0 +1,1 @@
+Byt namn på "kategori" till "album"
Index: /extensions/albums/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/albums/language/sv_SE/plugin.lang.php	(revision 9409)
+++ /extensions/albums/language/sv_SE/plugin.lang.php	(revision 9409)
@@ -0,0 +1,90 @@
+<?php
+$lang['%d category including'] = '%d album inkluderade';
+$lang['%d categories including'] = '%d album inkluderade';
+$lang['%d category moved'] = '%d album flyttade';
+$lang['%d categories moved'] = '%d album flyttade';
+$lang['Apply to subcategories'] = 'Verkställ på underablum';
+$lang['Association to categories'] = 'associera till album';
+$lang['Categories authorized thanks to group associations'] = 'Albums behörigheter ärvs av gruppbehörigheter';
+$lang['Categories manual order was saved'] = 'Albums manuella sortering sparats';
+$lang['Category elements associated to the following categories: %s'] = 'Alblum bilder har länkats till följande ablum: %s';
+$lang['Link all category elements to a new category'] = 'Länk alla album bilder till ett nytt album';
+$lang['Link all category elements to some existing categories'] = 'Länk alla album bilder till befintliga album';
+$lang['Linked categories'] = 'Länkade album';
+$lang['Manage permissions for a category'] = 'Hantera behörigheter för ett album';
+$lang['Move categories'] = 'Flytta album';
+$lang['New parent category'] = 'Nytt överliggande album';
+$lang['Only private categories are listed'] = 'Endast privata album är listade';
+$lang['Other private categories'] = 'Andra privata album';
+$lang['Parent category'] = 'Överliggande album';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Permalänk% s har tidigare använts efter album% s. Ta bort det från historiken för permalänkar första';
+$lang['Permalink %s is already used by category %s'] = 'Permalänk %s används redan av album %s';
+$lang['Representation of categories'] = 'Album representation';
+$lang['Select at least one category'] = 'Välj minst ett album';
+$lang['Storage category'] = 'Lagra album';
+$lang['Virtual categories movement'] = 'Virtualla allbums förflyttning';
+$lang['Virtual categories to move'] = 'Virtuella album att flytta';
+$lang['Virtual category name'] = 'Virtuella album namn';
+$lang['You cannot move a category in its own sub category'] = 'Du kan inte flytta ett album till sitt eget under album';
+$lang['associate to category'] = 'associerar till album';
+$lang['Add a virtual category'] = 'Lägg till ett virtuellt album';
+$lang['Authorize users to add comments on selected categories'] = 'Tillåta användare kan lägga till kommentarer på vissa album';
+$lang['The name of a category should not be empty'] = 'Ett namn på ett Album kan inte inte vara tomt ';
+$lang['Lock categories'] = 'Lås album';
+$lang['Private category'] = 'Privat album';
+$lang['Public category'] = 'Publikt album';
+$lang['Manage authorizations for selected categories'] = 'Hantera behörigheter för att vissa album';
+$lang['Select uploadable categories'] = 'Välj upp laddade album';
+$lang['Virtual category added'] = 'Virtuellt album tillagt';
+$lang['Virtual category deleted'] = 'Virtuellt album raderat';
+$lang['Category'] = 'Album';
+$lang['delete category'] = 'Ta bort album';
+$lang['dissociate from category'] = 'separera från album';
+$lang['edit category permissions'] = 'Redigera album rättigheter';
+$lang['Category informations updated successfully.'] = 'Album informationer uppdaterades.';
+$lang['jump to category'] = 'hoppa till album';
+$lang['manage category elements'] = 'Hantera album bilder';
+$lang['manage sub-categories'] = 'Hantera underliggande album';
+$lang['sub-categories'] = 'underliggande album';
+$lang['Categories management'] = 'Album hantering';
+$lang['Edit a category'] = 'Redigera ett album';
+$lang['Update categories informations'] = 'Uppdatera album informationen';
+$lang['reduce to single existing categories'] = 'minska på enstaka befintliga album';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'visa maximal information om (tillagda album och bilder, Raderade album och bilder)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'en bilds filetyp kräver en miniatyrbild. Den miniatyrbilden måste finnas i underkatalogen\'thumbnail\' av albums katalogen. Miniatyrbildens filnam måste börja med den konfigurerade miniatyrens prefixet och filstypen skall finnas i följande lista:';
+$lang['categories deleted in the database'] = 'album raderas i databasen';
+$lang['categories added in the database'] = 'album tillagda i databasen';
+$lang['Virtual category'] = 'Virtuellt album';
+$lang['Files with same name in more than one physical category'] = 'Identiska filnamn i mer än en fysiskt album';
+$lang['[%s] Come to visit the category %s'] = '[%s] Besök i album %s';
+$lang['Come to discover the category:'] = 'Utforska albumet:';
+$lang['edit category informations'] = 'redigera den här album informationen';
+$lang['No element in this category'] = 'Inga bilder i detta album';
+$lang['Drop into category'] = 'Släpp i albumet';
+$lang['existing category'] = 'befintligt album';
+$lang['create a new category'] = 'Skapa ett nytt album';
+$lang['Category name'] = 'Album namn';
+$lang['Category \'%s\' has been added'] = 'Album \'%s\' har lagts till';
+$lang['Category \'%s\' now contains %d photos'] = 'Album \'%s\' nu innehåller %d bilder';
+$lang['Categories ordered alphanumerically'] = 'album sorterade alfanumerisk ordning';
+$lang['Categories ordered alphanumerically reverse'] = 'album sorterade omvänd alfanumerisk ordning';
+$lang['%d category updated'] = '%d album uppdateras';
+$lang['%d categories updated'] = '%d album uppdateras';
+$lang['Categories'] = 'Album';
+$lang['Category'] = 'Album';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'RSS-flöde ger anmälan om nya händelser från denna webbplats: nya bilder, uppdaterade album, nya kommentarer. Användas med en RSS-läsare.';
+$lang['Expand all categories'] = 'Visa alla album';
+$lang['shows images at the root of this category'] = 'visar bilder i roten till det här albumet';
+$lang['in this category'] = 'i detta album';
+$lang['in %d sub-category'] = 'i %d underliggande album';
+$lang['in %d sub-categories'] = 'i %d underliggande album';
+$lang['display all elements in all sub-categories'] = 'Visa alla bilder i alla album och underliggande album';
+$lang['Recent categories'] = 'Senaste album';
+$lang['display recently updated categories'] = 'visa nyligen uppdaterade album';
+$lang['Search in Categories'] = 'Sök i album';
+$lang['Search in subcategories'] = 'Sök i underalbum';
+$lang['set as category representative'] = 'ange som album representativ';
+$lang['Category: %s'] = 'Album: %s';
+$lang['Category results for'] = 'Album resultat för';
+$lang['All sub-categories of private categories become private'] = 'Alla underliggande album blir privata album';
+?>