Index: extensions/lmt/language/cs_CZ/description.txt
===================================================================
--- extensions/lmt/language/cs_CZ/description.txt	(revision 9414)
+++ extensions/lmt/language/cs_CZ/description.txt	(revision 9414)
@@ -0,0 +1,1 @@
+Aplikace licence na fotografie
Index: extensions/lmt/language/cs_CZ/index.php
===================================================================
--- extensions/lmt/language/cs_CZ/index.php	(revision 9414)
+++ extensions/lmt/language/cs_CZ/index.php	(revision 9414)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/lmt/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/lmt/language/cs_CZ/plugin.lang.php	(revision 9414)
+++ extensions/lmt/language/cs_CZ/plugin.lang.php	(revision 9414)
@@ -0,0 +1,171 @@
+<?php
+
+$lang['example'] = 'Zobrazit ukázku';
+$lang['lmt_action'] = 'Akce';
+$lang['lmt_add'] = 'Vložit';
+$lang['lmt_add_author'] = 'Vlož autora';
+$lang['lmt_add_licence_ko'] = 'Licence nelze použít na vybrané položky';
+$lang['lmt_add_licence_ok'] = 'Licence byla použita na vybrané položky';
+$lang['lmt_add_to_caddie'] = 'Přidat další položky do caddie';
+$lang['lmt_apply'] = 'Aplikace';
+$lang['lmt_apply_do_clear'] = 'Aplikuj licenci a zruš celý výběr v caddie';
+$lang['lmt_apply_do_clear_selected'] = 'Aplikuj licenci a zruš vybrané položky v caddie';
+$lang['lmt_apply_do_nothing'] = 'Aplikuj licenci a nemodifikuj caddie';
+$lang['lmt_author'] = 'Autor';
+$lang['lmt_author_added'] = 'Authr byl vložen';
+$lang['lmt_author_deleted'] = 'Autor byl vymazán';
+$lang['lmt_author_modified'] = 'Autor byl změněn';
+$lang['lmt_author_nb_images_updated'] = 'Obrázky přiřazené k tomuto autorovi byli aktualizovány';
+$lang['lmt_author_nfo'] = 'Pokud je licenční logo vložené na prohlížené stránky, je jasné, který autor drží daná práva.';
+$lang['lmt_author_one_image_updated'] = 'Obrázek přiřazený k tomuto autorovi byl aktualizován';
+$lang['lmt_author_title'] = 'Seznam autorů';
+$lang['lmt_author_txt1'] = 'Text 1';
+$lang['lmt_author_txt2'] = 'Text 2';
+$lang['lmt_authoradd_title'] = 'Add autor';
+$lang['lmt_authormodify_title'] = 'Edit autor';
+$lang['lmt_bydefault'] = 'Aplikuj základní licenci';
+$lang['lmt_caddie_is_empty_please_fill_it'] = 'Aplikace licence je vztažena na obsah caddie. Aktuálně, je prázdný ...';
+$lang['lmt_caddie_items'] = 'Položky v caddie';
+$lang['lmt_caddie_not_updated'] = 'Caddie nemůže být aktualizován';
+$lang['lmt_caddie_updated'] = 'Caddie byl aktualizován';
+$lang['lmt_cancel'] = 'Cancel';
+$lang['lmt_cannot_add_author'] = 'Autor nemůže být vložen';
+$lang['lmt_cannot_delete_author'] = 'Autora nelze smazat';
+$lang['lmt_cannot_modify_author'] = 'Autor nemůže být editován';
+$lang['lmt_category'] = 'Kategorie';
+$lang['lmt_cc-all'] = 'Všechny licence';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'Zapnout správce licencí';
+$lang['lmt_cfg_licence_default'] = 'Výběr typu licence použitou jako výchozí';
+$lang['lmt_cfg_licence_default_author'] = 'Volba výchozího autora pro licence';
+$lang['lmt_cfg_licence_logo'] = 'Typ zobrazeného loga';
+$lang['lmt_cfg_licence_visible'] = 'Licence je zobrazena vždy,ikdyž je to jen základní';
+$lang['lmt_cfg_list_maxheight'] = 'Max. výška výpisu';
+$lang['lmt_cfg_list_maxitems'] = 'Max. počet položek k zobrazení';
+$lang['lmt_cfg_warning_link'] = 'Zapni redirect link';
+$lang['lmt_cfg_warning_texts'] = 'varovný text patičky(footer)';
+$lang['lmt_cfg_warning_visible'] = 'Ukaž licence přiřazené jako základní na dolním konci stránky';
+$lang['lmt_choose_select'] = '&lt;Výběr&gt;';
+$lang['lmt_clear_caddie_ko'] = 'Caddie nemohl být vymazán';
+$lang['lmt_clear_caddie_ok'] = 'Caddie byl vymazán';
+$lang['lmt_clear_si_caddie_ko'] = 'Vybrané položky v caddie nebyly odstraněny';
+$lang['lmt_clear_si_caddie_ok'] = 'Vybrané položky v caddie byly odstraněny';
+$lang['lmt_config'] = 'Nastavení';
+$lang['lmt_def_--'] = 'Vše zde uvedené může být volně užíváno, pouze za přepokladu, že bude dílo zachováno pod jménem původního autora.';
+$lang['lmt_def_nc'] = 'Držitel práv může vče použít pro nekomerční účely (komerční užití je zakázáno).';
+$lang['lmt_def_nd'] = 'Majitel práv může nadále vyhrazovat právo učinit taková odvozená díla nebo povolit v předstihu změny, překlady  ...';
+$lang['lmt_def_sa'] = 'Možnost povolení dalších změn je možné pouze za předpokladu že takzvané odvozené dílo bude uveřejněno bezplatně pod stejnou svobodnou licencí jako dílo púvodní tedy Creative commons pod kterou jsou díla vydávána.';
+$lang['lmt_delete'] = 'Smazat';
+$lang['lmt_display_config'] = 'Zobraz nastavení';
+$lang['lmt_do_save'] = 'Uložit nastavení';
+$lang['lmt_dontapply_do_clear_selected'] = 'Odebrat označené položky z caddie bez aplikování licence';
+$lang['lmt_error_on_image_author'] = 'Nastane problém pokud dojde k aktualizaci elementů přiřazených k odstraněnému autorovi';
+$lang['lmt_four_way'] = '4 principy';
+$lang['lmt_general_config'] = 'Hlavní nastavení';
+$lang['lmt_general_text'] = '[logo=80x15]Večekrá zde na webu uveřejněná média podléhají copyrightu, a pokud není označeno jinak, je vše distribuováno pod Creative Commons Licencí [text=logo]';
+$lang['lmt_help'] = 'Help';
+$lang['lmt_help_config'][1] = 'V závislosti na počtu prvků s licenčním číslem nebo počet položek ve vašem caddy, velikost zobrazovací plochy se změní. Zobrazovací plocha příliš malá a může snížit komfort čtení stránky. <br> Tento parametr se používá k navýšení maximální výšky zobrazovací plochy.';
+$lang['lmt_help_config'][2] = 'Volí jestli bude nebo nebude správa licencí. V porovnání s úplným deaktivováním pluginu, tato volba povoluje deaktivaci správy licencí na veřejně přístupné části webu zatimco je kompletní správa pluginu aktivována a lze ji vklidu nastavit.';
+$lang['lmt_help_config'][3] = 'Tato volba bude vždy zobrazovat licenci u prvku, a to i v případě, že licence ve výchozím nastavení je k němu již přiřazena. <br> Pokud tato možnost není aktivována, licence bude zobrazena pouze pro prvky s konkrétní přiřazenou licenci.';
+$lang['lmt_help_config'][4] = 'Tato volba umožňuje vybrat licenci, která bude použita automaticky na prvky, pro které nebyla žádná licence určena.';
+$lang['lmt_help_config'][5] = 'Tato volba umožňuje zvolit, zda chcete zobrazit či nikoliv licence ve výchozím nastavení na všech stránkách (bude uvedeno na zápatí).';
+$lang['lmt_help_config'][6] = 'Pokud je aktivováno, logo indikující licenci je zárověň odkazem přesměrujícím uživatele na stránku s více detaily o provozních podmínkách dané položky.';
+$lang['lmt_help_config'][7] = 'Text licence zobrazený na dolním okraji stránky lze změnit podle vašich potřeb.<br> Je možné zobrazení položek v něm, automaticky: <br> <b>[logo=80x15]</b> vloží 80x15 logo výchozí licence <br> <b>[logo=88x31]</b> vloží 88x31 logo výchozí licence<br> <b>[logo=text]</b> vloží obsah textu výchozí licence';
+$lang['lmt_help_config'][8] = 'Tato volba vám umožní zvolit autora, který bude přiřazen k výchozí licenci.';
+$lang['lmt_help_config'][9] = 'Tato volba vám umožňuje vybrat počet položek zobrazených na stránce.';
+$lang['lmt_icon_80x15'] = '80x15 ikona';
+$lang['lmt_icon_88x31'] = '88x31 ikona';
+$lang['lmt_icon_text'] = 'Text';
+$lang['lmt_image'] = 'Obrázek';
+$lang['lmt_lbl_cc-by'] = 'Autorství';
+$lang['lmt_lbl_cc-by-nc'] = 'Autorství, Jen Nekomerční';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Autorství, Jen Nekomerční, Nezasahujte do díla';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Autorství, Jen Nekomerční, Zachovejte licenci';
+$lang['lmt_lbl_cc-by-nd'] = 'Autorství, Nezasahujte do díla';
+$lang['lmt_lbl_cc-by-sa'] = 'Autorství, Zachovejte licenci';
+$lang['lmt_lbl_cc-cleft'] = 'Copyleft';
+$lang['lmt_lbl_cc-cright'] = 'Copyright';
+$lang['lmt_lbl_cc-default'] = 'Výchozí Licence';
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons BY';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons BY-ND';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons BY-SA';
+$lang['lmt_lbl_cc_s-cleft'] = 'Copyleft';
+$lang['lmt_lbl_cc_s-cright'] = '© Copyright';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+$lang['lmt_lbl_under-by'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-by-nc'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-by-nd'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-by-sa'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-cleft'] = 'Publikováno pod licencí';
+$lang['lmt_lbl_under-cright'] = '';
+$lang['lmt_lbl_under-default'] = '';
+$lang['lmt_licence'] = 'Licence';
+$lang['lmt_licence_config'] = 'Správa Licencí';
+$lang['lmt_licence_to_apply'] = 'Volba licence';
+$lang['lmt_list'] = 'Snímky licensovány';
+$lang['lmt_lst_apply_filter'] = 'Filtruj';
+$lang['lmt_lst_default_licence'] = 'Veškeré snímky jsou pod následující výchozí licencí';
+$lang['lmt_lst_nb_photos'] = 'snímky';
+$lang['lmt_lst_special_licence'] = 'Následující fotky jsou publikovány pod licencí';
+$lang['lmt_manage'] = 'Správa úkolů';
+$lang['lmt_manageaut'] = 'Správa autorů';
+$lang['lmt_modify'] = 'Editace';
+$lang['lmt_name'] = 'Jméno';
+$lang['lmt_nav_first'] = 'První';
+$lang['lmt_nav_last'] = 'Poslední';
+$lang['lmt_nav_next'] = 'Další';
+$lang['lmt_nav_prev'] = 'Předchozí';
+$lang['lmt_nb_author_one'] = '1 autor nastaven';
+$lang['lmt_nb_author_zero'] = 'Žádné nastavení autora';
+$lang['lmt_nb_authors'] = 'authoři nastaveni';
+$lang['lmt_no_author'] = '&lt;Žádný autor&gt;';
+$lang['lmt_no_element_selected'] = 'Nejsou vybrány žádné položky !';
+$lang['lmt_no_text'] = 'Žádný text nevyplněn !';
+$lang['lmt_nofilter'] = 'Všechny licence';
+$lang['lmt_official_website'] = 'Oficiální web Creative Commons';
+$lang['lmt_redirect_config'] = 'Přesměrování';
+$lang['lmt_redirect_urls'] = 'přesměrování URL';
+$lang['lmt_release'] = 'v';
+$lang['lmt_replace_caddie'] = 'Vyčistit caddie a přidat elementy';
+$lang['lmt_save_config'] = 'Konfigurace uložena';
+$lang['lmt_select_all'] = 'Vše';
+$lang['lmt_select_invert'] = 'Opačně';
+$lang['lmt_select_none'] = 'Žádné';
+$lang['lmt_six_licences'] = '6 licencí';
+$lang['lmt_title'] = 'Nástroj pro správu licencí';
+$lang['lmt_warning_config'] = 'Správa textu patičky';
+$lang['lmt_warning_texts_help'] = '';
+$lang['lmt_way_--'] = 'Zachovat autora';
+$lang['lmt_way_nc'] = 'Jen nekomerční užívání';
+$lang['lmt_way_nd'] = 'Bez změn';
+$lang['lmt_way_sa'] = 'Zachovejte licenci';
+$lang['lmt_whatisit'] = 'Co je <i>Creative Commons?</i>';
+$lang['lmt_whatisit_def1'] = 'Creative Commons je nezisková organizace, která nabízí flexibilní smlouvy, bez autorských práv k distribuci vašich výtvorů. Lze použít na vaše fotografie (nebo média která dáváte online) tyto smlouvy umožňují komukoli užití uveřejněných děl aniž by musel systematicky usilovat o získání povolení.';
+$lang['lmt_whatisit_def2'] = 'Je zde 6 typů licencí které jsou založeny na 4 principech které definují užívání díla.';
+$lang['lmt_yesno_n'] = 'Ne';
+$lang['lmt_yesno_y'] = 'Ano';
+
+//1.1.0
+$lang["lmt_help_config"][10] = "Při aktivaci, stránka přiřazená k danému hyperlinku se otevře v novém okně prohlížeče.";
+$lang["lmt_cfg_warning_target"] = "Zapni otevírání stránky v novém okně";
+
+// 1.2.0
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Pro instalaci tohoto pluginu, je potřeba nejprve Grum Plugin Classes %s';
+
+// 1.3.0
+$lang['lmt_add_licence_type'] = "Přidat typ licence";
+$lang['lmt_choose_licence_type'] = "Vybrat typ licence";
+$lang['lmt_search'] = "Hledat";
+$lang['lmt_search_by_licence'] = "Hledat licenční snímky";
+$lang['lmt_licence_type']="Licence typ";
+$lang['lmt_ok']="Ok";
+$lang['lmt_search_pictures_with_licence_1']="Hledat snímky s licencí:";
+$lang['lmt_search_pictures_with_licence_n']="Hledat snímky pod jednou z těchto licencí:";
+$lang['lmt_error_num_items']="Alespoň jedna licence musí být vybrána";
+
+?>