Index: extensions/PHP_Optimisateur/include/header.php
===================================================================
--- extensions/PHP_Optimisateur/include/header.php	(revision 9306)
+++ extensions/PHP_Optimisateur/include/header.php	(revision 9420)
@@ -12,7 +12,9 @@
 	<link rel="stylesheet" type="text/css" media="screen" href="template/css/colorpicker.css"/>
 	<link rel="stylesheet" type="text/css" media="screen" href="template/css/jqtransform.css"/>
+	
 	<script type="text/javascript" src="template/js/jquery.js"></script>
 	<script type="text/javascript" src="template/js/colorpicker.js"></script>
 	<script type="text/javascript" src="template/js/jqtransform.js"></script>
+	
 	<script language="javascript">
 		$(function(){
@@ -24,7 +26,17 @@
 			$(\'#overlay\').css(\'display\',\'block\');
 		}
-	</script>
+	
+		jQuery().ready(function(){
+			jQuery("#languageSwitchLink").mouseover(function() {
+				jQuery("#languageSwitchBox").toggle();
+			});
+			jQuery("#languageSwitchBox").mouseleave(function() {
+				jQuery("#languageSwitchBox").toggle();
+			});
+		});
+	</script>	
+	
+</head>
 
-</head>
 <body>
 <div id="overlay" style="display:none;">&nbsp;</div>
@@ -33,9 +45,17 @@
 	PHP Optimisateur '.$APPversion.'
 	
-	<span class="lang">';
-	foreach ($CONF['languages'] as $key => $name) {
-		echo '<a class="lang" href="index.php?Lang='.$key.'" title="'.$name.'"><img src="language/'.$key.'/'.$key.'.png" alt="'.$name.'"/></a>';
-	}
-	echo '</span>
+	<div id="languageSwitchLink" title="Change Language">
+		<ul>
+			<li><a href="#"><img src="language/'.$CONF['user_lang'].'/'.$CONF['user_lang'].'.png" alt="'.$CONF['languages'][$CONF['user_lang']].'"/> '.$CONF['languages'][$CONF['user_lang']].'</a></li>
+		</ul>
+	</div>
+	
+	<div id="languageSwitchBox" style="display:none;" class="generic">
+		<ul>';
+		foreach ($CONF['languages'] as $key => $name) {
+			echo '<li><a class="lang" href="index.php?Lang='.$key.'" title="'.$name.'"><img src="language/'.$key.'/'.$key.'.png" alt="'.$name.'"/> '.$name.'</a></li>';
+		}
+		echo ' </ul>
+	</div>
 	
 </div>';
Index: extensions/PHP_Optimisateur/include/main.php
===================================================================
--- extensions/PHP_Optimisateur/include/main.php	(revision 9306)
+++ extensions/PHP_Optimisateur/include/main.php	(revision 9420)
@@ -92,4 +92,11 @@
 	}
 		
+	// Plugins pendant l'execution, haute priorité
+	foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
+		if ($plugin_config['mode'] == 'ProcessHigh' AND $plugin_config['active']) {
+			include('plugins/'.$plugin_id.'/main.php');
+		}
+	}
+	
 	// Plugins pendant l'execution
 	foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
Index: extensions/PHP_Optimisateur/index.php
===================================================================
--- extensions/PHP_Optimisateur/index.php	(revision 9306)
+++ extensions/PHP_Optimisateur/index.php	(revision 9420)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|			  Version 1.3.a				|
+|			  Version 1.3.3				|
 \***************************************/
 
Index: extensions/PHP_Optimisateur/template/css/neon.css
===================================================================
--- extensions/PHP_Optimisateur/template/css/neon.css	(revision 9306)
+++ 	(revision )
@@ -1,233 +1,0 @@
-* {
-	margin:0px;
-	padding:0px;
-	border:0px;
-}
-
-body {
-	font-size:13px;
-	font-family:"Calibri",sans-serif;
-	background:#0a0a0a;
-	color:#777;
-	width:990px;
-	margin:0 auto;
-}
-
-div.generic {
-	width:450px;
-	margin:10px;
-	padding:10px;
-	border:1px solid #333;
-	float:left;
-	-moz-border-radius:3px;
-	-webkit-border-radius:3px;
-}
-	div.title {
-		float:none;
-		width:942px;
-		text-align:center;
-		font-weight:bold;
-		font-size:1.5em;
-		color:#eee;
-		text-shadow:0 0 4px #07f;
-		border-color:#07F;
-		-moz-box-shadow:0 0 6px #07F, inset 0 0 5px #07F;
-		-webkit-box-shadow:0 0 6px #07F, inset 0 0 5px #07F;
-		background-color:#222;
-		background-image:-moz-linear-gradient(center bottom, #111, #333);
-		background-image:-webkit-gradient(linear,center bottom,center top,color-stop(0, #111),color-stop(1, #333));
-	}
-	div.footer {
-		clear:both;
-		width:942px;
-		text-align:center;
-		font-size:0.9em;
-		border:none;
-	}
-	div.files li {
-		margin-top:0;
-	}
-
-	div.finish  {
-		background:#030;
-		color:#eee;
-		text-shadow:0 0 4px #0b0;
-		border-color:#0b0;
-		-moz-box-shadow:0 0 6px #0b0, inset 0 0 5px #0b0;
-		-webkit-box-shadow:0 0 6px #0b0, inset 0 0 5px #0b0;
-		font-weight:bold;
-		font-size:1.2em;
-	}
-
-	div.error {
-		background:#300;
-		color:#eee;
-		text-shadow:0 0 4px #B00;
-		border-color:#B00;
-		-moz-box-shadow:0 0 6px #B00, inset 0 0 5px #B00;
-		-webkit-box-shadow:0 0 6px #B00, inset 0 0 5px #B00;
-		font-weight:bold;
-		font-size:1.2em;
-	}
-	div.notice {
-		background:#440;
-		color:#eee;
-		text-shadow:0 0 4px #ff0;
-		border-color:#ff0;
-		-moz-box-shadow:0 0 6px #ff0, inset 0 0 5px #ff0;
-		-webkit-box-shadow:0 0 6px #ff0, inset 0 0 5px #ff0;
-		font-weight:bold;
-		font-size:1.2em;
-	}
-	div.link {
-		float:right;
-		font-size:1.1em;
-		border:none;
-		text-align:center;
-	}
-	
-a {
-	text-decoration:none;
-	font-size:1.2em;
-	font-style:italic;
-	font-family:"Consolas";
-	color:#e80;
-	text-shadow:0 0 4px #f70;
-}
-	a:hover {
-		color:#07F;
-		text-shadow:0 0 4px #07f;
-	}
-	.link a {
-		margin:0 10px;
-		float:right;
-		margin-bottom:1px;
-	}
-	.lang a {
-		margin:-4px 10px;
-		float:right;
-		border:none;
-	}
-		.lang a:hover img {
-			-moz-box-shadow:0 0 4px #07f;
-			-webkit-box-shadow:0 0 4px #07f;
-		}
-	
-
-h2 {
-	margin-top:-5px;
-	color:#eee;
-	text-shadow:0 0 5px #ddd;
-}
-
-ul {
-	margin:0 0 0 20px;
-}
-	li {
-		margin-top:5px;
-	}
-		li ul li {
-			margin-top:0;
-		}
-		
-input[type="submit"], input[type="reset"], input[type="text"], a.input-submit {
-	color:#666;
-	border:1px solid #555;
-	-moz-border-radius:3px;
-	-webkit-border-radius:3px;
-	background:#111;
-	font-family:"Calibri",sans-serif;
-}
-	input[type="submit"]:hover, input[type="reset"]:hover, input[type="text"]:hover, a.input-submit:hover {
-		border-color:#07f;
-		-moz-box-shadow:0 0 3px #07f;
-		-webkit-box-shadow:0 0 3px #07f;
-	}
-	input[type="submit"]:focus, input[type="reset"]:focus, input[type="text"]:focus {
-		color:#999;
-		background:#222;
-		border-color:#f70;
-		-moz-box-shadow:0 0 3px #F70;
-		-webkit-box-shadow:0 0 3px #F70;
-	}
-	input[type="submit"], input[type="reset"], a.input-submit  {
-		margin:-5px 10px 0 10px;
-		padding:3px 8px 3px 6px;
-		color:#777;
-		font-size:1.1em;
-		font-style:italic;
-		-moz-border-radius:20px;
-		-webkit-border-radius:20px;
-		background-image:-moz-linear-gradient(center bottom, #111, #333);
-		background-image:-webkit-gradient(linear,center bottom,center top,color-stop(0, #111),color-stop(1, #333));
-	}
-	input[type="submit"]:hover, input[type="reset"]:hover, a.input-submit:hover {
-		color:#07f;
-		text-shadow:0 0 3px #07f;
-		background-image:-moz-linear-gradient(center top, #111, #222);
-		background-image:-webkit-gradient(linear,center top,center bottom,color-stop(0, #111),color-stop(1, #222));
-	}
-	
-a.input-submit {
-	float:none;
-	display:inline-block;
-	margin-top:1px;
-	padding:3px 10px 5px 10px;
-	text-shadow:none;
-}
-
-
-b.new {
-	color:#0b0;
-	font-style:italic;
-}
-b.miss {
-	color:#B00;
-	font-style:italic;
-}
-
-span.title {
-	font-weight:bold;
-	text-decoration:underline;
-	font-size:1.1em;
-	color:#eee;
-	text-shadow:0 0 3px #ddd;
-}
-
-table {
-	min-width:50%;
-}
-	/* td {
-		width:50%;
-	} */
-		tr td:first-child {
-			text-align:right;
-			padding-right:5px;
-			font-weight:bold;
-		}
-	tr td.legend {
-		font-weight:normal;
-		text-align:left;
-	}
-		
-#loader {
-	float:right;
-	margin:-8px 0 -10px 0;
-}
-
-.plugin-title .plugin-active {
-	float:right;
-}
-
-.color-display {
-	width:30px;
-	height:15px;
-	margin:-10px 0;
-	display:inline-block;
-	vertical-align:middle;
-	border:1px solid #888;
-	-moz-border-radius:3px;
-	-webkit-border-radius:3px;
-	-moz-box-shadow: 0 0 2px #888, inset 0 0 2px #888;
-	-webkit-box-shadow: 0 0 2px #888, inset 0 0 2px #888;
-}
Index: extensions/PHP_Optimisateur/template/css/screen.css
===================================================================
--- extensions/PHP_Optimisateur/template/css/screen.css	(revision 9306)
+++ extensions/PHP_Optimisateur/template/css/screen.css	(revision 9420)
@@ -116,5 +116,5 @@
 		margin-bottom:1px;
 	}
-	.lang a {
+	/* .lang a {
 		margin:-4px 10px;
 		float:right;
@@ -124,5 +124,5 @@
 			-moz-box-shadow:0 0 4px #07f;
 			-webkit-box-shadow:0 0 4px #07f;
-		}
+		} */
 	
 
@@ -244,2 +244,37 @@
 	-webkit-box-shadow: 0 0 2px #888, inset 0 0 2px #888;
 }
+
+#languageSwitchLink {
+	float:right;
+	width:90px;
+	padding:0 5px;
+	text-align:left;
+}
+
+#languageSwitchBox {
+	position:absolute;
+	top:5px;
+	right:50%;
+	margin-right:-470px;
+	width:90px;
+	z-index:99;
+	padding:5px;
+	background:#0a0a0a;
+	-moz-box-shadow:0 0 5px #000;
+	-webkit-box-shadow:0 0 5px #000;
+	text-align:left;
+	opacity:0.8;
+	filter:alpha(opacity=80);
+}
+
+#languageSwitchBox *, #languageSwitchLink * {
+	font-size:13px;
+	text-shadow:none;
+	font-weight:normal;
+	color:#eee;
+}
+
+#languageSwitchBox ul, #languageSwitchLink ul {
+	list-style:none;
+	margin:0 5px 0 5px;
+}